//-----------------------------------------------------------------------------
// File: $$BLANK$$.h
//
// Desc: 
//
// Copyright (c) 2000-2001 Microsoft Corporation. All rights reserved.
//-----------------------------------------------------------------------------
#ifndef _$$BLANK$$_H
#define _$$BLANK$$_H

#define MAX_DEVICE_OBJECTS 10

struct DeviceObjects
{
    CD3DFont* m_pStatsFont;
    // TODO: add screensaver specific device objects
};


class   C$$BLANK$$Screensaver : public CD3DScreensaver
{
protected:
    DeviceObjects  m_DeviceObjectsArray[MAX_DEVICE_OBJECTS];
    DeviceObjects* m_pDeviceObjects;

    // TODO: add screensaver specific data

    virtual VOID    DoConfig();
    virtual VOID    ReadSettings();

    virtual VOID    SetDevice( UINT iDevice );
    virtual HRESULT Render();
    virtual HRESULT FrameMove();
    virtual HRESULT RestoreDeviceObjects();
    virtual HRESULT InvalidateDeviceObjects();

    HRESULT ReadRegistry();
    HRESULT WriteRegistry();


public:
    C$$BLANK$$Screensaver();

    // Override from CD3DScreensaver
    INT_PTR CALLBACK ConfigureDialogProc( HWND hwndDlg, UINT uMsg, 
                                          WPARAM wParam, LPARAM lParam );
};

#endif
